// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: arfgen_mod
// Author: Hassan Siddiqui
//
// Description: ARF generation task for the XMM Science Analysis System
// 
// Comments: 
//  This prototype is restricted the central CCD of the MOS1 detector.
//  
// Modifications: See ChangeLog
// 
// $Id: arfgen.cc,v 1.20 2000/10/15 16:06:09 hsiddiqu Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local classes */
#include "ArfDataServer.h"
#include "ConcreteArfDataServer.h"
#include "Arfgen.h"
#include "arfgen.h"


/* Declare global ArfDataServer handle. 
   As there is only one type of ArfDataServer ever
   used in code, specify type as ConcreteArfDataServer. */
ConcreteArfDataServer * arfDataServer;

// ---------------------------------------------------

// Main function

// ---------------------------------------------------

void arfgen()
{
  
  PROC;

  /* Assign concrete object to arfDataServer handle */
  arfDataServer = 
    new ConcreteArfDataServer ();

  // Execute arfgen
  Arfgen::exec();

  // Delete concrete object
  delete arfDataServer;
  arfDataServer = 0;

  ENDPROC;

} 
