//
// Module: RmfEbins
// Author: Hassan Siddiqui
//
// Description: 
//
// Factory to generate a BinnedAxis object from an RMF dataset
//
// Modifications: See ChangeLog
// 
// $Id: RmfEbins.h,v 1.1 2000/03/28 12:41:39 hsiddiqu Exp $

#ifndef RmfEbins_H
#define RmfEbins_H

/* General */

/* SAS-specific */
#include "CalCommon.h"

/* Local */

class RmfEbins
{
public:

  /* Constructor */
  RmfEbins();

  /* Destructor */
  ~RmfEbins();

  static BinnedAxis * ebins(const string & setname );
  
private:

};

#endif
